#!/usr/bin/env node
import { createRequire as createRequire_BATI_CLI } from 'module';
const require = createRequire_BATI_CLI(import.meta.url);

import {
  t1s,
  xas
} from "../../../../chunk-NRI5GDVQ.js";
import "../../../../chunk-IAWYWZSL.js";
import "../../../../chunk-DHZ7AZKP.js";

// ../../boilerplates/drizzle/dist/files/$TODO.md.js
async function getTodo(props) {
  const content = await t1s(props);
  const pmCmd = xas().run;
  const todo = `
## Drizzle

First, ensure that \`DATABASE_URL\` is configured in \`.env\` file, then create the database:
\`\`\`bash
${pmCmd} drizzle:generate # a script that executes drizzle-kit generate.
${pmCmd} drizzle:migrate # a script that executes drizzle-kit migrate.
\`\`\`

> [!NOTE]
> The \`drizzle-kit generate\` command is used to generate SQL migration files based on your Drizzle schema.
>
> The \`drizzle-kit migrate\` command is used to apply the generated migrations to your database.

Read more on [Drizzle ORM documentation](https://orm.drizzle.team/docs/overview)
`;
  content.addMarkdownFeature(todo, "drizzle");
  return content;
}
export {
  getTodo as default
};
